XXTEA_KEY = "699D448D6D24f7F941E9F6E99F823E18"
RESET_TIME = 4
MAX_ROLE_NUM = 1000000
-- 属性枚举
AttsEnum = {
	hp = 1,				-- 血量
	atk = 2,			-- 攻击
	def = 3,			-- 物理防御
	hit = 4,			-- 命中
	miss = 5, 			-- 闪避
	crit = 6, 			-- 暴击
	atkSpeed = 7, 		-- 攻击速度
	critHurt = 8, 		-- 暴伤
	vampire = 9, 		-- 吸血
	pierce = 10, 		-- 穿透
}

AttsEnumEx = {
	[1] = "hp",			-- 血量
	[2] = "atk",		-- 攻击
	[3] = "def",		-- 物理防御
	[4] = "hit",		-- 命中
	[5] = "miss", 		-- 闪避
	[6] = "crit", 		-- 暴击
	[7] = "atkSpeed", 	-- 攻击速度
	[8] = "critHurt", 	-- 暴伤
	[9] = "vampire", 	-- 吸血
	[10] = "pierce", 	-- 穿透
}

ItemType = {
	Coin						= 1, 	-- 货币&材料（金币、钻石、经验、突破材料等）
	HeroFragment				= 2, 	-- 角色碎片
	HeroFCommon					= 3,	-- 万能角色碎片（集齐N个，合成同稀有度随机角色）
	Hero 						= 4,	-- 角色
	Head 						= 5,	-- 头像
	Material					= 6, 	-- 材料
	Box 						= 7,	-- 宝箱（立刻打开）
	Skin						= 8, 	-- 皮肤
	EquipBase 					= 9,	-- 基础装备
	Rune						= 10,	-- 符文
	Cuisine						= 11,	-- 料理（用于增加好感度、贩卖获得金币）
	LunchBox 					= 12,	-- 便当盒（料理合成，冒险系统消耗道具）
	TimeBox 					= 13,	-- 时间箱（开启需要时间，随机产出道具）
	AdvItem						= 14, 	-- 冒险道具
}

-- 物品起始id
ItemStartId = {
	Hero 		= 300, 	-- 英雄
}

--常用的物品id的枚举
ItemId = {
	Gold = 1,  -- 金币
	Exp = 2,  -- 经验
	Diamond = 3,  -- 钻石
	PlayerExp = 4,  -- 突破材料
	BreakCost = 10,  -- 突破材料
	EquipUp = 11, -- 装备升级材料
	DinerCoin = 12, --后勤物资
	LoveUp = 14, --好感度提升道具
	DinerSpTask = 20, -- 餐厅任务采购券
	LoveBreak = 21, --好感度突破道具
	PvpKey = 22, -- 开箱钥匙
	LunchFragment = 23, 
	HeroFC = {700, 701, 702, 703},  -- 通用角色碎片
	AdvKey = 80, -- 冒险钥匙
}
--客户端不需要知道这个
AdvSpecialStage = {
	[1]= "In",
	[2] = "Out",
	[3] = "BOSS"
}
--客户端需要知道这个
AdvEventType = {
	-- 特殊事件(地块决定)
	In = -1,  --入口
	Out = -2,	--出口
	BOSS = -3,  -- boss
	-- 普通事件(随机）
	Choose = 1,  --选择点
	Drop = 2,  --物品掉落点
	Monster = 3, -- 普通怪
	Trader = 4, --商人
	Build = 5, --建筑物
	Trap = 6, --陷阱
	Click = 7, --点击生效
}

AdvBackEventType = {
	Reward = 1,  --奖励
	HpChange = 2,  --血量改变
	AtkChange = 3,  --攻击改变
	Buff = 4,    --buff 改变
	Skill = 5,	--释放技能
	Atk = 6, --攻击动作
	Next = 7, --进入下一层
	End = 8, -- 结束
	BlockChange = 9, -- 块改变
	SpChange = 10, --体力改变
	Dead = 11, --怪死亡
	DefChange = 12, -- 防御变化
	Passive = 13, -- 獲得被動
	TurnEnd = 14, -- 回合结束
	Miss = 15, -- miss
	BattleBegin = 16, -- 战斗开始
	Trap = 17,
}

AdvScoreType = {
	Level = 1,
	Kill = 2,
	Item = 3,
	Hurt = 4,
	Block = 5,
}

DinerTask = {
	SellDish = 1,
	DishWithGold = 2,
	SellDishType = 3,
	DishWithGoldType = 4,
	SellDishRare = 5,
	DishWithGoldRare = 6,
}